## pax-britannica 1.0.0

=== Makefile ===
NAME=dokidoki-support

#### General Settings

TARGET=$(NAME)
CFLAGS=-Wall -O2 -DMEMARRAY_USE_OPENGL \
	   $(PLATFORM_CFLAGS) $(EXTRA_CFLAGS)
LDFLAGS=$(STATIC_LINK) -llua -lglfw \
		$(DYNAMIC_LINK) $(PLATFORM_LDFLAGS) $(EXTRA_LDFLAGS)
CC=gcc

#### Platform Settings

linux:
	make $(TARGET) PLATFORM=linux \
		STATIC_LINK="-Wl,-Bstatic" \
		DYNAMIC_LINK="-Wl,-Bdynamic" \
		PLATFORM_CFLAGS="-DDOKIDOKI_LINUX -pthread" \
		PLATFORM_LDFLAGS="-Wl,-E -pthread -lpthread -lGL -lGLU -lX11 -lXrandr -lm -lasound"

macosx:
	make $(TARGET) PLATFORM=macosx \
		STATIC_LINK="" \
		DYNAMIC_LINK="" \
		PLATFORM_CFLAGS="-DDOKIDOKI_MACOSX -I/System/Library/Frameworks/CoreFoundation.framework/Headers -I/opt/local/include" \
		PLATFORM_LDFLAGS="-lportaudio -L/opt/local/lib -framework AGL -framework OpenGL -framework Carbon"

mingw:
	make $(TARGET) PLATFORM=mingw \
		STATIC_LINK="-Wl,-Bstatic" \
		DYNAMIC_LINK="-Wl,-Bdynamic" \
		PLATFORM_CFLAGS="-DDOKIDOKI_MINGW" \
		PLATFORM_LDFLAGS="-Wl,-Bstatic -lportaudio -Wl,-Bdynamic -lopengl32 -lglu32 -lole32 -lwinmm"

clean:
	rm -f *.o $(NAME)

#### Actual Building

OBJS= collision.o \
	  gl.o \
	  glu.o \
	  log.o \
	  lua_stb_image.o \
	  luaglfw.o \
	  memarray.o \
	  minlua.o \
	  mixer.o \
	  stb_vorbis.o \
	  $(EXTRA_OBJECTS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

log.o: log.h
lua_stb_image.o: stb_image.c
minlua.o: log.h
mixer.o: stb_vorbis.h

=== debian/changelog ===
pax-britannica (1.0.0-5) unstable; urgency=medium

  * [42884ac] d/control: fix Vcs-*
  * [52efb2e] mark -data pkg M-A:foreign

 -- Joseph Nahmias <jello@debian.org>  Thu, 09 Dec 2021 06:39:10 -0500

pax-britannica (1.0.0-4) unstable; urgency=medium

  * [61650d9] resume maintenance within Debian Games Team (Closes: 869292)
  * [15e51c5] d/control: set Vcs-* to point to salsa repo
  * [a8a5426] update homepage
  * [1b13e06] use buildflags from the environment
  * [ff09246] pax-britannica.6: use apostrophe not acute accent
  * [413487a] enabe all hardening options
  * [9b1b930] d/s/include-binaries: drop pax-britannica.xpm
  * [702fe29] rules does not require root
  * [c03aaa5] bump std-ver, changes recorded above
  * [941156d] enabe salsa-ci pipeline
  * [ac15e1b] migrate to debhelper compat 13

 -- Joseph Nahmias <jello@debian.org>  Wed, 08 Dec 2021 23:43:35 -0500

pax-britannica (1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Switch to compat level 11.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop deprecated menu file and xpm icon.
  * Add StrategyGame category to desktop file. (Closes: #825673)
  * Mention the fullscreen mode in manpage and start in windowed mode by
    default. (Closes: #718884)

 -- Markus Koschany <apo@debian.org>  Wed, 25 Apr 2018 23:05:50 +0200

pax-britannica (1.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port to glfw 3. (Closes: #828032)
  * Build-depend directly on GLU which glfw3 does not depend on.

 -- James Cowgill <jcowgill@debian.org>  Tue, 28 Jun 2016 23:02:52 +0100

pax-britannica (1.0.0-2) unstable; urgency=low

  * fix desktop entry, closes: #685743.
  * enhance menu to include icon and hints

 -- Joe Nahmias <jello@debian.org>  Sun, 02 Sep 2012 23:26:33 -0400

pax-britannica (1.0.0-1) unstable; urgency=low

  * Initial release, closes: #684442.
  * debian/get_source.sh: get source from git and create tarballs
  * create manpage
  * create desktop menu entry and icon

 -- Joe Nahmias <jello@debian.org>  Thu, 09 Aug 2012 20:36:44 -0400

=== debian/control ===
Source: pax-britannica
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libglfw3-dev,
 libglu1-mesa-dev | libglu-dev,
 liblua5.1-0-dev,
 libxrandr-dev
Standards-Version: 4.6.0
Homepage: http://gangles.ca/games/pax-britannica/
Vcs-Browser: https://salsa.debian.org/games-team/pax-britannica
Vcs-Git: https://salsa.debian.org/games-team/pax-britannica.git
Rules-Requires-Root: no

Package: pax-britannica
Architecture: any
Depends:
 pax-britannica-data,
 ${misc:Depends},
 ${shlibs:Depends}
Description: one-button multi-player real-time strategy game
 Pax Britannica is a one-button real-time strategy game by No Fun Games.
 Up to four players battle it out underwater, struggling to be the last
 one standing!
 .
 Each player uses one button to spawn ships that fight automatically using
 the latest in artificial aquatelligence technology. Gamepads are also
 supported.  The player who keeps their factory ship alive wins!
 .
 This package contains the game binary.

Package: pax-britannica-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: data files for pax-britannica game
 Pax Britannica is a one-button real-time strategy game by No Fun Games.
 Up to four players battle it out underwater, struggling to be the last
 one standing!
 .
 Each player uses one button to spawn ships that fight automatically using
 the latest in artificial aquatelligence technology. Gamepads are also
 supported.  The player who keeps their factory ship alive wins!
 .
 This package contains the game data and media files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
